import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/order/orderInvoice/pageList',
    method: 'get',
    params: query
  })
}

//  导出
export function downOrderListXls(params) {
  return request({
    url: '/order/viewsIncomeExpenses/exportExcel',
    method: 'get',
    responseType: 'blob',
    params
  });
}

//  冲红
export function orderInvoiceRed(params) {
  return request({
    url: '/order/orderInvoice/red',
    method: 'post',
    data: params
  });
}

//  详情
export function getInvoiceDetail(params) {
  return request({
    url: '/order/orderInvoice/getInvoiceDetail',
    method: 'get',
    params
  });
}
